import logging
import os, shutil
import yaml


def load_config(path="packages.yaml"):
    with open(path) as file:
        packages = yaml.load(file, Loader=yaml.SafeLoader)

    logging.info(f"{len(packages)} packages loaded")
    logging.debug(", ".join([p['name'] for p in packages]))

    return packages

def clean_directories():
    for i in ["pkgbuilds", "packages"]:
        try:
            shutil.rmtree(i)
        except FileNotFoundError:
            pass
        os.mkdir(i)
